<back to all web services

SetConfiguration

The following routes are available for this service:
POST/RestApi/translations/configure
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

        Public Partial Class SetConfiguration
            Public Overridable Property Cron As String
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations

        Public Partial Class SetConfigurationResponse
            Public Overridable Property NextSyncRun As String
        End Class
    End Namespace
End Namespace

VB.NET SetConfiguration DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/configure HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Cron":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"NextSyncRun":"String"}